### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class ConnectionFactoryConfiguration

java.lang.Object
com.sas.services.connection.ConnectionFactoryConfiguration

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `JNDIConnectionFactoryConfiguration`, `ManualConnectionFactoryConfiguration`, `OMRConnectionFactoryConfiguration`, `PlatformConnectionFactoryConfiguration`

@SASScope("ALL") @BinaryCompatibilityOnly public abstract class ConnectionFactoryConfiguration extends Object implements Cloneable
The base class for all connection factory configurations. A connection factory configuration can be presented to the `connection factory manager` to obtain a `connection factory` with the desire configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `protected ConnectionFactoryKernel`
  `getKernel(ConnectionFactoryManager manager, ConnectionFactoryConfiguration cxfConfig, Logger logger)`
  `protected ConnectionFactoryKernel`
  `getKernel(ConnectionFactoryManager manager, Logger logger)`
  `protected static ConnectionFactoryKernel`
  `getKernelFromDelegate(ConnectionFactoryManager manager, ConnectionFactoryConfiguration original, Logger logger, ConnectionFactoryConfiguration delegate)`
  `int`
  `hashCode()`
  `protected void`
  `kernelDestroyed(ConnectionFactoryKernel kernel)`
  Provides the configuration with a chance to clean up any resources it may be holding for a kernel.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### getKernelFromDelegate

    protected static ConnectionFactoryKernel getKernelFromDelegate(ConnectionFactoryManager manager, ConnectionFactoryConfiguration original, Logger logger, ConnectionFactoryConfiguration delegate) throws ConnectionFactoryException
    Throws:
      `ConnectionFactoryException`

  - ### getKernel

    protected ConnectionFactoryKernel getKernel(ConnectionFactoryManager manager, Logger logger) throws ConnectionFactoryException
    Throws:
      `ConnectionFactoryException`

  - ### getKernel

    protected ConnectionFactoryKernel getKernel(ConnectionFactoryManager manager, ConnectionFactoryConfiguration cxfConfig, Logger logger) throws ConnectionFactoryException
    Throws:
      `ConnectionFactoryException`

  - ### kernelDestroyed

    protected void kernelDestroyed(ConnectionFactoryKernel kernel)
    Provides the configuration with a chance to clean up any resources it may be holding for a kernel.
    Parameters:
      `kernel` - the kernel that has been destroyed